landingpage/urls.py
from django.urls import path, include
from . import views
from story7.views import nightPage
from story8.views import searchBookPage

app_name = 'landingpage'

urlpatterns = [
    path('', views.statusPage, name='statusPage'),
    path('nightPage/', nightPage, name='nightPage'),
    path('searchBook/', searchBookPage, name='searchBookPage'),
    
]

story6/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('landingpage.urls')),
    path('account/', include('story9.urls')),
    
]

story7/urls.py
from django.urls import path
from .views import nightPage

app_name = 'story7'

urlpatterns = [
    path('', views.nightPage, name='nightPage')
]

story8/urls.py
from django.urls import path
from .views import searchBookPage

app_name = 'story8'

urlpatterns = [
    path('', views.searchBookPage, name='searchBookPage')
]

story9/urls.py
from django.urls import path
from .views import accountPage, loginView, logoutView



urlpatterns = [
    path('',loginView , name='accountPage'),
    path('login/', accountPage, name='login'),
    path('logout', logoutView, name='logout'),
]

landingpage/models.py
from django.db import models
from django.contrib.auth.models import User

# Create your models here.
class statusModel(models.Model):
    status = models.TextField(blank = False, null = False, max_length = 50)
    date = models.DateTimeField(auto_now_add=True, blank=True)

story7/models.py
from django.db import models

# Create your models here.

story8/models.py
from django.db import models

# Create your models here.

story9/models.py
from django.db import models

# Create your models here.

landingpage/forms.py
from django import forms
from . import models

class createStatus(forms.ModelForm):
    class Meta:
        model = models.statusModel
        fields = ['status']

landingpage/views.py
from django.shortcuts import render
from django.shortcuts import redirect
from .forms import createStatus
from .models import statusModel

# Create your views here.

def statusPage(request):
    # status = createStatus.objects.all()
    if request.method == 'POST':
        form = createStatus(request.POST)
        if form.is_valid():
            form.save()
            return redirect('landingpage:statusPage')
    else:
        form = createStatus()
    status = statusModel.objects.all()
    return render(request, 'status.html', {'form': form, 'status': status})

    

story7/views.py
from django.shortcuts import render

# Create your views here.
def nightPage(request):
    return render(request, 'nightmode.html')

story8/views.py
from django.shortcuts import render

# Create your views here.
def searchBookPage(request):
    return render(request, 'searchbook.html')

story9/views.py
from django.shortcuts import render, redirect
from django.contrib.auth.decorators import login_required
from django.contrib.auth import authenticate, login, logout
from django.contrib.auth.models import User



def accountPage(request):
    context = { 
        'greeting' : '',
        'please' : '' ,
        'log' : '',
    }
    if request.user.is_authenticated:
        context['greeting'] = 'Welcome  ' + request.session['username']
        context['please'] = 'Click button to logout'
        context['log'] = 'logout'
        return render(request, 'login.html', context)
    else:
        return render(request, 'account.html')


def loginView(request):
    if request.method == "GET":
        if request.user.is_authenticated:
            return redirect('login')
        else:
            return render(request, 'account.html')

    if request.method == "POST":
        if len(request.POST) == 3:
            username_login = request.POST['username']
            password_login = request.POST['password']
                    
            user = authenticate(request, username=username_login, password=password_login)
            if user is not None:
                login(request, user)
                request.session['username'] = user.username
                return redirect('login')
                
            else:
                return redirect('accountPage')

        elif len(request.POST) == 4:
            username_login = request.POST['username']
            email_login = request.POST['email']
            password_login = request.POST['password']
            users = User.objects.all()

            for user in users:
                if user.username == username_login :
                    return redirect('accountPage')

            user = User.objects.create_user(username=username_login, email=email_login, password=password_login)

            login(request, user)
            request.session['username'] = user.username
            

        return redirect('login')




def logoutView(request):
    request.session.flush()
    if request.method == "GET":
        if request.user.is_authenticated:
            logout(request)
    return redirect('accountPage')

landingpage/templates/baseNavBar.html
<!doctype html>
{% load static %}
<html lang="en">
  <head>
  <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <link href="https://fonts.googleapis.com/css?family=Anton|Literata|Merriweather|Oswald|Playfair+Display|Roboto+Slab&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Alata&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Alatsi&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="{% static 'css/navbar.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
    <link rel="stylesheet"  href="{% static 'css/nightstyle.css' %}">
    <link rel="stylesheet"  href="{% static 'css/searchbookstyle.css' %}">
    <link rel="stylesheet"  href="{% static 'css/account.css' %}">
    
    <link rel="icon" href="https://i.ibb.co/tpm5RHy/IMG-5803-copy.png">

    {% block css %} 
    
    {% endblock css%}
    <link href="https://fonts.googleapis.com/css?family=Sansita&display=swap" rel="stylesheet">
    

    <title>
    {% block title %}
    
    {% endblock title%}
    </title>
    
  </head>

  <body>
    
    <div class="container-fluid">
      <div class="row right-content-center row1">
        <div class="col-md-12  bg-dark">
          <nav class="navbar navbar-expand-lg ">
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="navbar-collapse" id="navbarNavAltMarkup">
              <div class="navbar-nav ml-auto textInfo navItem">
                <a class="nav-item nav-link text navBar navText" href="{% url 'landingpage:searchBookPage' %}">Search Book<span class="sr-only"></span></a>
                <a class="nav-item nav-link text navBar navText" href="{% url 'landingpage:nightPage' %}">Profile<span class="sr-only"></span></a>
                <a class="nav-item nav-link text navBar navText" href="{% url 'landingpage:statusPage' %}">Home<span class="sr-only"></span></a>
                <a class="nav-item nav-link text navBar navText" href="{% url 'accountPage' %}">Login<span class="sr-only"></span></a>
              </div>
            </div>
          </nav>
        </div>
      </div>
    </div> 

    {% block page %} 

    {% endblock page %}

    <hr>
        <footer id="sticky-footer" class="py-4 bg-dark">	
            <div class="container text-center">
                <h5 class="text footer">©COPYRIGHT IQBAL</h5>
            </div>
        </footer>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="{% static 'scripts/jquery.js' %}"></script>
    <script src="{% static 'scripts/modescripts.js' %}"></script>
    <script src="{% static 'scripts/modeaccordion.js' %}"></script>
    <script src="{% static 'scripts/booksearch.js' %}"></script>

    <script src= "https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"> </script>
    <script src= "https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"> </script>
    <script src= "https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"> </script>
    <script src= "https://use.fontawesome.com/releases/v5.0.8/js/all.js"> </script>

    <!-- <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script> -->
    </body>
</html>

landingpage/templates/status.html
{% extends 'baseNavBar.html' %}

{% load static %}


{% block title %}
    Status Page
{% endblock title %}

{% block page%}
  <div class="home">

    <div class="container-fluid">

        <br></br>

        <div class="row justify-content-center align-items-center row1">
            <div class="container backforms">
                <div class="status">
                    <div class="row">
                        {% for text in status %}
                            <div class="col-sm-4 text-center formBox">
                                <h1 class="statusText">{{text.status}}</h1>
                                <h5 class="dateText">{{text.date}}</h5>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>

        <br></br>

        <div class="row justify-content-center align-items-center text-center row2">
          <fieldset>
              <form class="textInfo site-form" action="{% url 'landingpage:statusPage' %}" method="POST">
                {% csrf_token %}
                {{form.status}}
                <br></br>
                <input type="submit" value="SUBMIT"> 
              </form>
          </fieldset>
        </div>

        <br></br>


    </div>

{% endblock page%}

story7/templates/nightmode.html
{% extends 'baseNavBar.html' %}

{% load static %}


{% block title %}
    Night Mode
{% endblock title %}

{% block page%}


    <div class="container-fluid black-theme">

        <br></br>
        
        <div class="row justify-content-center mainRow4">
            <h1 class="blackText">↓ ubah tema ↓</h1>
        </div> 

        <div class="row align-items-center justify-content-center mainRow1">
            <div class="theme-switch">
                <div class="switch"></div>
            </div>
        </div>  

        <br></br>

        <div class="row align-items-center justify-content-center mainRow2">
            <div class="text-center blackText"><h2 class="profileText">PROFILE</h2></div>
        </div>

        <div class="row mainRow3">

                <ul class="col acc-list">
                    <a class="panels text-center" style="font-weight: bold;" href="#">Activity</a>
                        <div class="inside show text-center blackText">
                            <br>
                            <li><strong>BEM FASILKOM UI</strong><br>
                                Staff of Sport Department</li>
                        </div>   
                </ul>

                <ul class="col acc-list">
                    <a class="panels text-center" style="font-weight: bold;" href="#">Achievements</a>
                        <div class="inside show text-center blackText" style="font-size: large;">
                            <br>
                            <li><strong>4th Winner</strong><br>of Sempoa Province Olympiad 2010</li>
                            <li><strong>2nd Winner</strong><br>of Smanda Olympic 16 Gaming Competition</li>
                            <li><strong>2nd Winner</strong><br>of CGT FIFA 18 Competition</li>
                        </div>   
                </ul>
                
                <ul class="col acc-list">
                    <a class="panels text-center" style="font-weight: bold;" href="#">Organization Experience</a>
                        <div class="inside show text-center blackText" style="font-size: large;">
                            <br>
                            <li><strong>COMPFEST 11</strong><br>
                                Staff of Playground</li>
                            <li><strong>Runtime Error 4.0</strong><br> 
                                Project Officer</li>
                            <li><strong>CS League 2019</strong><br>
                                Staff of Competition</li>
                        </div>   
                </ul>

        </div>
        
    </div>
    

{% endblock page%}

story8/templates/searchbook.html
{% extends 'baseNavBar.html' %}

{% load static %}


{% block title %}
    Search Book
{% endblock title %}

{% block page%}


<div class="searchbook">

        <div class="container-fluid">
    
            <br></br>
            <h1 class="row justify-content-center align-items-center text-center textTitle">Search Book</h1>
    
            <div class="row justify-content-center align-items-center text-center row1">
              <fieldset>
                  <input id="searchBox" class="searchForm" placeholder="Title">
                    <br>
                  <button id="button" name="button">Search</button>
                  </form>
              </fieldset>
            </div>

            <br>

            
            <!-- <div class="row ustify-content-center align-items-center text-center row2"> -->
              
              <div id="searchResult" class="d-flex flex-wrap cont justify-content-center">

              </div>

            <!-- </div> -->
    
            <br></br>
    
    
        </div>
</div>
    

{% endblock page%}

story9/templates/account.html
{% extends 'baseNavBar.html' %}

{% load static %}


{% block title %}
    Search Book
{% endblock title %}

{% block page%}


<div class="account">

    <div class="login-wrap">
        <div class="login-html">
            <input id="tab-1" type="radio" name="tab" class="sign-in" checked><label for="tab-1" class="tab">Sign In</label>
            <input id="tab-2" type="radio" name="tab" class="sign-up"><label for="tab-2" class="tab">Sign Up</label>
            <div class="login-form">

                <form method="POST">
                    {% csrf_token %}
                    <div class="sign-in-htm">
                        <br>
                        <br>
                        <div class="group">
                            <label id="usernameLabel" for="username" class="label">Username</label>
                            <input name="username" id="username_login" type="text" class="input">
                        </div>
                        <div class="group">
                            <label id="passwordLabel" for="password" class="label">Password</label>
                            <input name="password" id="password_login" type="password" class="input" data-type="password">
                        </div>
                        <br>
                        <div class="group">
                            <input id="button" type="submit" class="button" value="Sign In">
                        </div>
                    </div>
                </form>
                        

                <div class="sign-up-htm">
                    <br>

                <form method="POST">
                    {% csrf_token %}
                    <div class="group">
                        <label for="username" class="label">Username</label>
                        <input name="username" id="usernameUp" type="text" class="input">
                    </div>
                    <div class="group">
                        <label for="password" class="label">Password</label>
                        <input name="password" id="passwordUp" type="password" class="input" data-type="password">
                    </div>
                    <div class="group">
                        <label for="email" class="label">Email Address</label>
                        <input name="email" id="emailUp" type="text" class="input">
                    </div>
                    <div class="group">
                        <input id="buttonUp" type="submit" class="button" value="Sign Up">
                    </div>
                    <div class="hr"></div>
                    <div class="foot-lnk">
                        <label id="footerText" for="tab-1">Already Member?</a>
                    </div>
                </form>

                </div>

            </div>

        </div>
    </div>
</div>
    

{% endblock page%}

story9/templates/login.html
{% extends 'baseNavBar.html' %}

{% load static %}


{% block title %}
    Search Book
{% endblock title %}

{% block page%}


<div class="account align-items-center">

    <div class="login-wrap">
        <div class="login-html row justify-content-center align-items-center">
            <div class="login-form">


                <div class="form row justify-content-center align-items-center loginText" style="color: whitesmoke;">
                    <div>
                        <h1 style="text-align: center;text-transform:uppercase">{{greeting}}</h1>
                        <br>
                        <h2 style="text-align: center;">{{please}}</h2>
                        <br>
                        <br>
                        <div class="group">
                                <input type="button" id="logout" class="button button-block" value="Log out" onclick="window.location.href='{% url 'logout' %}'">
                        </div>
                    </div>
                </div>

                </div>

            </div>

        </div>
    </div>
</div>
    

{% endblock page%}